gtk-sharp GLib.Object Status Icon. A platform independent system tray icon.
- Constructor
  Public constructor.
- Constructor
  An Icon pixbuf.
  Public constructor.
  Creates an instance using the specified icon pixbuf.
- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  A native instance pointer.
  Public constructor.
  For use by language bindings to wrap native instances.
- Constructor
  Icon file name.
  Public constructor.
  Creates an instance using the specified icon file.
- Event
  GLib.Signal("activate")
  System.EventHandler Activate event. Raised when the user activates the status icon. This behavior is only provided on platforms that support it.
- Event
  GLib.Signal("button_press_event")
  Gtk.ButtonPressEventHandler To be added. To be added.
- Event
  GLib.Signal("button_release_event")
  Gtk.ButtonReleaseEventHandler To be added. To be added.
- Property
  GLib.Property("embedded")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("file")
  System.String Display an icon from a file. A string containing the filename path.
- Property
  System.Obsolete("use the File property instead")
  System.String Display an icon from a file. A string containing the filename path.
- Property
  System.Obsolete("use the IconName property instead")
  System.String Display an icon from the current icon theme. An icon name from the current theme. If the IconTheme is changed, the icon is updated to the icon of the same name in the new theme.
- Property
  System.Obsolete("use the Pixbuf property instead")
  Gdk.Pixbuf Display a Pixbuf Icon. A containing the desired icon.
- Property
  System.Obsolete("use the Stock property instead")
  System.String Display a stock Icon. A value, or other string registered as a stock id.
- Method
  System.Obsolete("Replaced by (out Screen, out Rectangle, out Orientation) overload")
  System.Boolean `` `` `` Do not use. Do not use. Do not use. Obsolete. Do not Use. if the operation succeeded. This method was incorrectly bound and is provided for backward compatibility. Use the overload with out Screen and out Rectangle parameters instead.
- Method
  System.Boolean `` `` `` Returns the screen containing the status icon. Returns the bounds of the status icon. Returns the orientation of the status icon. Get the Location and Orientation of the Icon. if the operation was successful. This information can be used to place popups like notification bubbles.
- Property
  GLib.GType Native type value. a .
- Property
  GLib.Property("has-tooltip")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gicon")
  GLib.IIcon To be added. To be added. To be added.
- Property
  GLib.Property("icon-name")
  System.String Display an icon from the current icon theme. An icon name from the current theme. If the IconTheme is changed, the icon is updated to the icon of the same name in the new theme.
- Property
  System.Boolean Indicates if the icon is embedded in a notification area. if embedded.
- Property
  System.String To be added. To be added. To be added.
- Method
  Gtk.StatusIcon `` To be added. Creates a status icon with a named icon from the current theme. A .
- Method
  Gtk.StatusIcon `` To be added. Creates a status icon with a stock icon. A .
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivate", Type=typeof(Gtk.StatusIcon))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideButtonPressEvent", Type=typeof(Gtk.StatusIcon))
  System.Boolean `` To be added. Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideButtonReleaseEvent", Type=typeof(Gtk.StatusIcon))
  System.Boolean `` To be added. Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePopupMenu", Type=typeof(Gtk.StatusIcon))
  System.Void `` `` Button pressed. Time button was pressed. Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideQueryTooltip", Type=typeof(Gtk.StatusIcon))
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideScrollEvent", Type=typeof(Gtk.StatusIcon))
  System.Boolean `` To be added. Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSizeChanged", Type=typeof(Gtk.StatusIcon))
  System.Boolean `` The new size. Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Property
  GLib.Property("orientation")
  Gtk.Orientation To be added. To be added. To be added.
- Property
  GLib.Property("pixbuf")
  Gdk.Pixbuf Display a Pixbuf Icon. A containing the desired icon.
- Event
  GLib.Signal("popup-menu")
  Gtk.PopupMenuHandler PopupMenu event. Raised when the user brings up the context menu.
- Method
  System.Void `` `` `` `` `` A menu to position. Returns the x coordinate. Returns the y coordinate. Returns if the menu must be pushed in to be completely visible. Native handle of the StatusIcon for which the menu is being placed. Menu Positioning Callback function. Used with to position context menus.
- Method
  System.Void `` `` `` The menu to present. The button provided by . The time provided by . Positions and displays a menu. This method provides an optimized alternative to calling directly, saving a some native/managed marshaling roundtrips.
- Event
  GLib.Signal("query_tooltip")
  Gtk.QueryTooltipHandler To be added. To be added.
- Property
  GLib.Property("screen")
  Gdk.Screen To be added. To be added. To be added.
- Event
  GLib.Signal("scroll_event")
  Gtk.ScrollEventHandler To be added. To be added.
- Property
  GLib.Property("size")
  System.Int32 Pixel size available for Icon. An integer pixel size.
- Event
  GLib.Signal("size-changed")
  Gtk.SizeChangedHandler SizeChanged event. Raised when the icon size changes.
- Property
  GLib.Property("stock")
  System.String Display a stock Icon. A value, or other string registered as a stock id.
- Property
  GLib.Property("storage-type")
  Gtk.ImageType Image storage type. A .
- Property
  GLib.Property("title")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("tooltip-markup")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("tooltip-text")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("visible")
  System.Boolean Indicates if the Icon is visible. To be added. Doesn't guarantee the icon can be seen by the user. See .
- Property
  System.UInt32 To be added. To be added. To be added.